Name:		netxen-firmware
Summary:	QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware
Version:	4.0.590
Release:	0.1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/phanfw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/LICENCE.phanfw
Source2:	nx3fwct.bin
Source3:        nx3fwmn.bin	
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	udev

%description
QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build
# Firmware, do nothing.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
install -m0644 phanfw.bin %{buildroot}/lib/firmware/
install -m0644 nx3fwct.bin %{buildroot}/lib/firmware/
install -m0644 nx3fwmn.bin %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENCE.phanfw
/lib/firmware/phanfw.bin
/lib/firmware/nx3fwct.bin
/lib/firmware/nx3fwmn.bin

%changelog
* Wed May 8 2013 Jerry Snitselaar <jerry.snitselaar@oracle.com> - 4.0.590
- replace phanfw.bin with version 4.0.590 [ora bug 16694458]

* Wed Jan 16 2013 Jerry Snitselaar <jerry.snitselaar@oracle.com> - 4.0.588
- replace phanfw.bin with version 4.0.588 [ora bug 16025108]

* Wed May 16 2012 Maxim Uvarov <maxim.uvarov@oracle.com> - 4.0.579-3.2
- package nx3fwct.bin and nx3fwmn.bin  [ora bug 14068767]

* Thu Sep 29 2011 Chuck Anderson <chuck.anderson@oracle.com> - 4.0.579
- replace phanfw.bin with version 4.0.579 [ora bug 13005449]

* Wed Jan 12 2011 John W. Linville <linville@redhat.com> - 4.0.534-3
- Related: rhbz#647036
- Quell old-fashioned rpmlint warnings

* Thu Dec 23 2010 Tom Callaway <spot@fedoraproject.org> - 4.0.534-3
- new LICENCE.phanfw
- add Requires: udev

* Mon Dec 13 2010 Tom Callaway <spot@fedoraproject.org> - 4.0.534-2
- update urls

* Mon Dec  6 2010 Tom Callaway <spot@fedoraproject.org> - 4.0.534-1
- initial package
